Impossible d'installer cozy-stack


#1

Bonjour,

Tout est dans le titre… Je n’arrive pas à installer cozy-stack en suivant la procedure https://docs.cozy.io/en/tutorials/selfhost-debian/

root@###:/etc/apt# apt install cozy-stack
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances
Lecture des informations d’état… Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l’impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n’ont pas encore
été créés ou ne sont pas sortis d’Incoming.
L’information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
cozy-stack : Dépend: members mais il n’est pas installable
Recommande: cozy-coclyco mais ne sera pas installé
Recommande: cozy-nsjail mais ne sera pas installé
Recommande: nginx
Recommande: debootstrap mais il n’est pas installable
Recommande: mail-transport-agent
Recommande: nodejs (>= 12) mais 10.15.2~dfsg-2 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l’état ».

Merci de votre aide,


#2

Bonsoir @Oneel,

Sur quelle version de Debian essayez vous d’installer Cozy ? Êtes-vous bien en Buster ?

Comme indiqué dans la documentation, Cozy a besoin de la version 12 de NodeJS, pour l’obtenir dans Buster il faut ajouter les dépôts à la main.